/// Can be either the semantic version or a released type (like latest)
#[derive(serde::Serialize, serde::Deserialize, Debug, Clone)]
#[serde(untagged)]
pub enum ApiVersion {
    VersionTypeEnum(crate::models::VersionTypeEnum),
    /// Semantic version following conventions from https://semver.org/
    Str(String),
}
impl Default for ApiVersion {
    fn default() -> Self {
        ApiVersion::Str(Default::default())
    }
}
